org.apache.ignite.failure

## Class FailureContext

- java.lang.Object
- - org.apache.ignite.failure.FailureContext

    public class FailureContext
    extends Object

Failure context contains information about failure type and exception if applicable. This information could be used for appropriate handling of the failure.

### Constructor Summary

Constructors
Constructor and Description
`FailureContext(FailureType type, Throwable err)` Creates instance of `FailureContext`.

### Method Summary

All Methods Instance Methods Concrete Methods
`Throwable` `error()`
`String` `toString()`
`FailureType` `type()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### FailureContext

    public FailureContext(FailureType type,
                          Throwable err)

Creates instance of `FailureContext`.

Parameters:
  `type` - Failure type.
  `err` - Exception.

### Method Detail

#### type

    public FailureType type()

Returns:
  Failure type.

#### error

    public Throwable error()

Returns:
  Exception or `null`.

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.11.1
Release Date | : December 20 2021